GNU bug report logs - #52902
hydra.el out of date on GNU ELPA

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Stefan Kangas <stefan@HIDDEN>; dated Thu, 30 Dec 2021 17:36:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 52902 <at> debbugs.gnu.org:


Received: (at 52902) by debbugs.gnu.org; 15 Jan 2022 09:51:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 15 04:51:47 2022
Received: from localhost ([127.0.0.1]:39054 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8fit-0002KK-1T
	for submit <at> debbugs.gnu.org; Sat, 15 Jan 2022 04:51:47 -0500
Received: from quimby.gnus.org ([95.216.78.240]:47332)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1n8fir-0002K4-0A
 for 52902 <at> debbugs.gnu.org; Sat, 15 Jan 2022 04:51:45 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=hMBhyluWPXUSV1oTGkVT84nSnBNLksktSUqN3QVdXi0=; b=X3fspZf8AAVq3uM8oIh+mw4f61
 O5SFAuPpD7xil7+xFuRca0h1DO299LdG9WREYje6UfrkqLYZLw/cg50ws1lvhxBJMU89NyS/OnsA4
 2OeMvgW22RMnfYXHzVbEDOdqp6dGnBE6QWQ4CEz62f90bVMK/fNs/ETXytGe4mMRBhto=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1n8fig-0003IM-UW; Sat, 15 Jan 2022 10:51:38 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#52902: hydra.el out of date on GNU ELPA
References: <CADwFkmkjMUf+gKHa8xmFUvPeD2yVYnub6bw3LidFAqc582wMEg@HIDDEN>
 <jwvk0fm3pfc.fsf-monnier+emacs@HIDDEN>
 <CADwFkmn_EHBo68U1oufT25ZaBj34H5YxSCAqKOxDJABYpPEqiQ@HIDDEN>
X-Now-Playing: Joni Mitchell's _Archives: The Early Years (4)_: "Intro To
 "Cactus Tree""
Date: Sat, 15 Jan 2022 10:51:34 +0100
In-Reply-To: <CADwFkmn_EHBo68U1oufT25ZaBj34H5YxSCAqKOxDJABYpPEqiQ@HIDDEN>
 (Stefan Kangas's message of "Fri, 31 Dec 2021 10:47:44 -0500")
Message-ID: <87fsppxr6h.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Stefan Kangas <stefan@HIDDEN> writes: > Thanks, I have
 now sent a pull request for the merge: > >
 https://github.com/abo-abo/hydra/pull/408
 Looks like the merge was refused. Is there some other way to fix this? 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52902
Cc: 52902 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>,
 Oleh Krehel <ohwoeowho@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Kangas <stefan@HIDDEN> writes:

> Thanks, I have now sent a pull request for the merge:
>
>     https://github.com/abo-abo/hydra/pull/408

Looks like the merge was refused.  Is there some other way to fix this?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52902; Package emacs. Full text available.

Message received at 52902 <at> debbugs.gnu.org:


Received: (at 52902) by debbugs.gnu.org; 31 Dec 2021 15:47:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 31 10:47:52 2021
Received: from localhost ([127.0.0.1]:57318 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n3K8F-0002tR-U1
	for submit <at> debbugs.gnu.org; Fri, 31 Dec 2021 10:47:52 -0500
Received: from mail-pj1-f44.google.com ([209.85.216.44]:43589)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1n3K8E-0002sh-Ri
 for 52902 <at> debbugs.gnu.org; Fri, 31 Dec 2021 10:47:51 -0500
Received: by mail-pj1-f44.google.com with SMTP id
 a11-20020a17090a854b00b001b11aae38d6so25924294pjw.2
 for <52902 <at> debbugs.gnu.org>; Fri, 31 Dec 2021 07:47:50 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=9O2RyrU5uKp8NtlfsvrljNCdojGMpd1qmolRSD/gRyQ=;
 b=rj81IhPmDn4faKjFrze20ksVOQcSZRo3wX9o5aDIJnG4oxzGgUHmQ0buNnuJWdsLXD
 gCiAFDZAvy3Qbtd92SyHZGY9Ciy9qCuax+70rCvMr73fbfTyhdoerHG6pWXJiMqQ46wG
 1BdsU4EWkqZE9Qm1gFkcLGMUq7JJN2wSd2LsEbgq3ZIvU0nrfFFQbolzta1Rtm3NxsYL
 5PqJdpFxJXpsq22smlQvgSaHb9MykAqmUFZ35L1BxgTHHEpvAeGy1RiFGERK+LzmpIVB
 n2QfpK6lyvZKsVjdGWUKHLG4jIAVdiVYLvtkkAvswRtnYswgW4nNf9QxX18qaVl/kIj9
 ExWA==
X-Gm-Message-State: AOAM532ehMyfQgNLikM0Qi1rbaeOuOuTqHWWF3O2IBEJZYcechkcgQF6
 6tieCTBYG2Ryrv02UZmulJURCN8df/O9OsBpoe4=
X-Google-Smtp-Source: ABdhPJwxkW1xNfxPzibKKxJNmVIX6uLWqppSx3UTxtBY7jCixvDGptJDrn0GPVMSOcueXEyige7RcyUHs5pt2xuLA9k=
X-Received: by 2002:a17:902:ab97:b0:149:8662:1736 with SMTP id
 f23-20020a170902ab9700b0014986621736mr21410010plr.174.1640965665132; Fri, 31
 Dec 2021 07:47:45 -0800 (PST)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Fri, 31 Dec 2021 10:47:44 -0500
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <jwvk0fm3pfc.fsf-monnier+emacs@HIDDEN>
References: <CADwFkmkjMUf+gKHa8xmFUvPeD2yVYnub6bw3LidFAqc582wMEg@HIDDEN>
 <jwvk0fm3pfc.fsf-monnier+emacs@HIDDEN>
MIME-Version: 1.0
Date: Fri, 31 Dec 2021 10:47:44 -0500
Message-ID: <CADwFkmn_EHBo68U1oufT25ZaBj34H5YxSCAqKOxDJABYpPEqiQ@HIDDEN>
Subject: Re: bug#52902: hydra.el out of date on GNU ELPA
To: Stefan Monnier <monnier@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 52902
Cc: 52902 <at> debbugs.gnu.org, Oleh Krehel <ohwoeowho@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Stefan Monnier <monnier@HIDDEN> writes:

> If someone could `git merge 4532f40ae4` into the upstream, then I'll
> gladly enable `:auto-sync`.

Thanks, I have now sent a pull request for the merge:

    https://github.com/abo-abo/hydra/pull/408




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52902; Package emacs. Full text available.

Message received at 52902 <at> debbugs.gnu.org:


Received: (at 52902) by debbugs.gnu.org; 30 Dec 2021 18:44:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 30 13:44:50 2021
Received: from localhost ([127.0.0.1]:54455 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n30Py-0006cI-2k
	for submit <at> debbugs.gnu.org; Thu, 30 Dec 2021 13:44:50 -0500
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:31753)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1n30Pv-0006c3-QY
 for 52902 <at> debbugs.gnu.org; Thu, 30 Dec 2021 13:44:48 -0500
Received: from pmg3.iro.umontreal.ca (localhost [127.0.0.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id 08E39442AF3;
 Thu, 30 Dec 2021 13:44:42 -0500 (EST)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id 8B7394419D0;
 Thu, 30 Dec 2021 13:44:39 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1640889879;
 bh=ON/sJfSaXlEujUebuKrH1xxFxvJBik0Zftbl1fuUqWM=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=ROAswOpePi+tkOb5sDx7oQPIXU2Y7CyYvorM8jABcCoVXDEvXHlf/Si8kSvVc3mDa
 RtOGKntZf3gRKfA5uVRQnvmt+Bx5EiZVlIHS8Gq1gdB8blxJzNAmxPfdnUBvi65ge3
 nE5jKqjm8MgSjQ1nQybj1LX0ZjW/lBw82OXkSMOgnv5HTKOwz3ih7rH/Iw9GwUJ50y
 u60f12FOZjNG4ngsVxdtlzdCfBFHZ2XkO/WGBsXLD7sJCPUOcjdS9jsKOmFieUS9uC
 qH67o7QleMhxmB5lOoQkCWo8rAE50BRKGqJ08a1klwO/or2/RMlnr6dy1bpOFl1otg
 dYa4nuT49PtHg==
Received: from ceviche (unknown [216.154.30.173])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 57BCE1201C3;
 Thu, 30 Dec 2021 13:44:39 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#52902: hydra.el out of date on GNU ELPA
Message-ID: <jwvk0fm3pfc.fsf-monnier+emacs@HIDDEN>
References: <CADwFkmkjMUf+gKHa8xmFUvPeD2yVYnub6bw3LidFAqc582wMEg@HIDDEN>
Date: Thu, 30 Dec 2021 13:44:37 -0500
In-Reply-To: <CADwFkmkjMUf+gKHa8xmFUvPeD2yVYnub6bw3LidFAqc582wMEg@HIDDEN>
 (Stefan Kangas's message of "Thu, 30 Dec 2021 12:35:47 -0500")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.060 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52902
Cc: 52902 <at> debbugs.gnu.org, Oleh Krehel <ohwoeowho@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Kangas [2021-12-30 12:35:47] wrote:
> The hydra package on GNU ELPA is version 0.14, but the latest released
> version was 0.15 in 2019.

Yes, that's because the two have diverged.

    % make fetch/hydra=20
    emacs --batch -l admin/elpa-admin.el -f elpaa-batch-fetch-and-show "hyd=
ra"
    Fetching updates for hydra...
    Upstream of hydra has DIVERGED!
=20=20=20=20
      Local changes:
    Depuis https://github.com/abo-abo/hydra
     * [nouvelle r=C3=A9f=C3=A9rence]               -> upstream/hydra/main
    4532f40ae4  eggert@HIDDEN  Fix some quoting problems in doc strings
    c554597c3b  monnier@HIDDEN  * packages/gnome-c-style/gnome-c-tests.el=
: Add copyright blurb
=20=20=20=20
      Upstream changes:
    a38690b1b7  stefan@HIDDEN  Add GNU ELPA badge
    f45e64f7e1  ohwoeowho@HIDDEN  hydra.el (hydra--describe-key): Add and b=
ind to "<f1> k"
    2d553787ac  ohwoeowho@HIDDEN  hydra.el (hydra--make-defun): Refactor
    1ab885785e  ohwoeowho@HIDDEN  hydra.el (hydra--make-defun): Allow to sp=
eficy :idle property for a head
    112e689f75  ohwoeowho@HIDDEN  hydra.el (hydra-add-imenu): Add
    8a9124f80b  ohwoeowho@HIDDEN  hydra.el: Fix hydra-curr-map nil when hyd=
ras are nested via :post
    87873d7888  phst@HIDDEN   Explicitly require cl-lib.
    2dfc493ebc  s.walinder@HIDDEN  Fixed message hint display from being esc=
aped by percent
    16fa8d109e  ohwoeowho@HIDDEN  hydra.el (defhydra): Use "__" in docstrin=
g to represent a literal "_"
    370a5c613e  ohwoeowho@HIDDEN  hydra.el (hydra-key-regex): Include "[]" =
in the char group
    d2b921d067  ohwoeowho@HIDDEN  hydra.el (defhydra): :exit key can now al=
so be a sexp
    9fc28a044b  ohwoeowho@HIDDEN  hydra.el (hydra--make-defun): Refactor
    6442faf3da  ohwoeowho@HIDDEN  hydra.el (hydra--make-defun): Refactor
    5e29ad0092  ohwoeowho@HIDDEN  lv.el (lv-window): Ensure fundamental-mode
    d3328cab67  ohwoeowho@HIDDEN  doc: Add full text of licences
    e3beffdd80  github@HIDDEN  lv.el (lv-window): Don't modify the buffe=
r-list order
    9db28034d7  ohwoeowho@HIDDEN  lv.el (lv-window-hook): Add
    bcc2d0eb5b  ohwoeowho@HIDDEN  hydra.el (hydra--work-around-dedicated): =
Revert
    d38c63d3d8  ohwoeowho@HIDDEN  hydra.el (hydra--work-around-dedicated): =
Unset on 26.3
    0c5dcf7ab9  ohwoeowho@HIDDEN  .travis.yml: Use EVM
    49bef08465  jonas@HIDDEN  Fix typos
    91f961d5d5  ohwoeowho@HIDDEN  lv.el (lv-use-padding): New defcustom
    74b32f3ff0  ohwoeowho@HIDDEN  lv.el: Sience byte compiler
    9936d1c6a8  ohwoeowho@HIDDEN  lv.el (lv-window): Set tab-line-format to=
 nil
    435c55e9f7  rotim.davor@HIDDEN  Disable fill-column-indicator display.
    b14aaf71cb  ohwoeowho@HIDDEN  hydra.el (hydra-lv): Remove obsolete defc=
ustom
    a91dd72529  ema2159@HIDDEN  lv.el (lv-window): Set header-line-format=
 to nil
    798c0d810f  ohwoeowho@HIDDEN  .github/FUNDING.yml: Add
    82ff12666e  ohwoeowho@HIDDEN  hydra.el (find-func): Fix advice
    a2bb124a3f  ubolonton@HIDDEN  hydra.el (hydra-posframe-hide): Delay hid=
ing hint when it makes sense
    406988f6e9  ohwoeowho@HIDDEN  hydra.el (hydra-posframe-show-params): Add
    e94b39171a  ohwoeowho@HIDDEN  hydra.el (hydra-posframe-show): Introduce=
 a border
    f27fce1b2f  ohwoeowho@HIDDEN  hydra.el: Bump version
    acb69859f3  ohwoeowho@HIDDEN  hydra-test.el: Update tests for the last =
commit
    6842731f08  ohwoeowho@HIDDEN  hydra.el (hydra-lv): Declare obsolete
    480ae63137  bmagamb@HIDDEN  Declare dependency on separate lv package
    8e3698fb53  ohwoeowho@HIDDEN  hydra-examples.el (hydra-rectangle): Chan=
ge "p" to "x"
    d96180865c  ohwoeowho@HIDDEN  hydra.el (hydra-hint-display-alist): Add
    e0e3282efa  yhaoxie@HIDDEN  hydra.el (hydra-hint-display-type): Add
    9c4a4711bc  ohwoeowho@HIDDEN  hydra.el (hydra-key-doc-function-default)=
: Accept also sexp as doc
    aa55bbd196  ohwoeowho@HIDDEN  hydra.el (hydra--hint-from-matrix): Don't=
 wrap with concat
    38a567fc5b  ohwoeowho@HIDDEN  hydra.el (hydra--hint-from-matrix): Retur=
n a list
    1dab16cd2a  ohwoeowho@HIDDEN  hydra.el (hydra--hint-from-matrix): Prep =
to return list
    f0745366ff  ohwoeowho@HIDDEN  hydra.el (hydra--hint-from-matrix-1): Ext=
ract
    b7279c7c19  ohwoeowho@HIDDEN  hydra.el (hydra--hint-row): Prep to retur=
n list
    3846e2728f  ohwoeowho@HIDDEN  hydra.el (hydra-interpose): Extract
    16563fbc4c  ohwoeowho@HIDDEN  hydra.el (hydra--hint-row): Extract
    1e423933a9  ohwoeowho@HIDDEN  hydra.el: sexp hints are now supported fo=
r :columns
    67e454bf10  ohwoeowho@HIDDEN  hydra.el (defhydra+): Update indent spec
    9ca93bdffb  ohwoeowho@HIDDEN  hydra.el (defhydra+): Add
    425f20e7ed  ohwoeowho@HIDDEN  README.md: Link to :column code
    05871dd6c8  ohwoeowho@HIDDEN  hydra.el (defhydra): Document the :column=
 feature
    2ad0b01611  ohwoeowho@HIDDEN  hydra.el (hydra--normalize-body): Fixup f=
or Emacs24
    e01a79e4b7  ohwoeowho@HIDDEN  hydra.el (defhydra): Declare "/params" an=
d "/docstring"
    ffff068d7f  duianto@HIDDEN  Update readme.md, add repo name and melpa=
 badges
    67098cc914  ohwoeowho@HIDDEN  hydra.el (hydra--format): Add extra newli=
ne
    5c5b9ca326  jonas@HIDDEN  Silence byte-compiler on Emacs 25
    d071278fcc  ohwoeowho@HIDDEN  hydra.el (hydra--format): Fix off-by-one
    c30e04d3f6  ohwoeowho@HIDDEN  lv.el (lv-window): Turn off display-line-=
numbers
    44b42598ee  culot@HIDDEN  Fix Typos
    87cc74b264  Oleh.Krehel@HIDDEN  hydra.el (hydra--format): Make no docstri=
ng equivalent to :hint nil
    5b8f662992  ohwoeowho@HIDDEN  hydra.el (hydra--format): Allow e.g. "M-?=
" in docstring
    1e72f96a14  ohwoeowho@HIDDEN  hydra.el (defhydra): Add :base-map option=
 to body plist
    62e0f37462  ohwoeowho@HIDDEN  hydra-test.el: Fix tests for previous com=
mit
    8119d82fe9  justin@HIDDEN  hydra.el (hydra--make-defun): require hyd=
ra
    cf96140079  ohwoeowho@HIDDEN  hydra-test.el: Regenerate tests for the l=
ast commit
    462202d7fc  ohwoeowho@HIDDEN  hydra.el (hydra--doc): Fixup
    03eeea324c  justin@HIDDEN  Make first line of hydra docstrings more =
informative.
    1deed8a00e  wouter@HIDDEN  fix typo in readme
    e228432bb6  ohwoeowho@HIDDEN  hydra.el (hydra--hint-from-matrix): Adjus=
t for "%" in key
    49611c1509  ohwoeowho@HIDDEN  hydra.el (hydra--generate-matrix): Refact=
or
    a23046b7d5  ohwoeowho@HIDDEN  hydra.el (hydra--hint-from-matrix): Refac=
tor
    6eaf10f52c  ohwoeowho@HIDDEN  hydra-test.el (hydra-format-5): Fix faili=
ng test
    df3025f7e3  ohwoeowho@HIDDEN  hydra.el (hydra-key-regex): Add "\\"
    b12d37ac00  ohwoeowho@HIDDEN  hydra.el (hydra--format): Detect macroexp=
and
    b4fb3298cd  ohwoeowho@HIDDEN  hydra.el (hydra--hint-heads-wocol): Ignor=
e dynamic hints
    ab67b29835  joe.wreschnig@..  Declare the third argument of `defhydra=
=E2=80=99 as a (potential) docstring.

If someone could `git merge 4532f40ae4` into the upstream, then I'll
gladly enable `:auto-sync`.


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52902; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Dec 2021 17:35:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 30 12:35:52 2021
Received: from localhost ([127.0.0.1]:54347 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n2zLE-0001vo-Al
	for submit <at> debbugs.gnu.org; Thu, 30 Dec 2021 12:35:52 -0500
Received: from lists.gnu.org ([209.51.188.17]:58750)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1n2zLD-0001vd-Az
 for submit <at> debbugs.gnu.org; Thu, 30 Dec 2021 12:35:51 -0500
Received: from eggs.gnu.org ([209.51.188.92]:33608)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <stefankangas@HIDDEN>)
 id 1n2zLD-0004ke-48
 for bug-gnu-emacs@HIDDEN; Thu, 30 Dec 2021 12:35:51 -0500
Received: from mail-pf1-f181.google.com ([209.85.210.181]:42729)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <stefankangas@HIDDEN>)
 id 1n2zLB-0002HD-Cy
 for bug-gnu-emacs@HIDDEN; Thu, 30 Dec 2021 12:35:50 -0500
Received: by mail-pf1-f181.google.com with SMTP id t19so21876128pfg.9
 for <bug-gnu-emacs@HIDDEN>; Thu, 30 Dec 2021 09:35:48 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:mime-version:date:message-id:subject:to;
 bh=EHvs+FcT4ttGnE3PV1eKOmv3m7KvUJH7kP/EVkMS4z4=;
 b=uU4mqZpaoSt1HPDrsRM7Mxjzt8/mVP3VDWQ6Lbruv70nc+uwHp3JDDrzomn54lroH6
 azUgUm/kOiNW/gDDfx/FxaEED0tRUDohgbEqzWH7eUJONLJxUIiQLzkeUDDlXSHWWX3w
 bdqio2gmys3iJnX2H7VfIRtxzKAFmYyNmYLN4AHfT4rFjzhOa6tmObdCVOr5fftWpqff
 7aTE4uhNa3fbt9FIf+FuhP05SygRHgl0ojr56Cz7qiaxUkpqwe0rSPGgEZiTrMEGemyU
 QiVLarW6SOMObZMLiy1p2We1jyuu+8Sgl4mIkr7SfZslM7ctCWX3VYm1Uy2/XW/loMqQ
 4aJQ==
X-Gm-Message-State: AOAM532Vdd1ixvpBAZBU8jMvldQivmXlWYPshIMH+1pe/vDzGgGD47+L
 o5UHYJaS9HmsaJlpvbFpfW+QF4+R+LjRgA9PkgNx5wrP
X-Google-Smtp-Source: ABdhPJzy69expSXSQYqr1zKoLTVKPHVve/zyAxJrWmqA0xgkPUXE1C6VD1wWBzSH76x0Rx0qV6TgQCo/pK7g6imP0As=
X-Received: by 2002:a05:6a00:2444:b0:4ab:15b9:20e5 with SMTP id
 d4-20020a056a00244400b004ab15b920e5mr32199072pfj.0.1640885747883; Thu, 30 Dec
 2021 09:35:47 -0800 (PST)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Thu, 30 Dec 2021 12:35:47 -0500
From: Stefan Kangas <stefan@HIDDEN>
X-Debbugs-CC: Oleh Krehel <ohwoeowho@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>
MIME-Version: 1.0
Date: Thu, 30 Dec 2021 12:35:47 -0500
Message-ID: <CADwFkmkjMUf+gKHa8xmFUvPeD2yVYnub6bw3LidFAqc582wMEg@HIDDEN>
Subject: hydra.el out of date on GNU ELPA
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset="UTF-8"
Received-SPF: pass client-ip=209.85.210.181;
 envelope-from=stefankangas@HIDDEN; helo=mail-pf1-f181.google.com
X-Spam_score_int: -13
X-Spam_score: -1.4
X-Spam_bar: -
X-Spam_report: (-1.4 / 5.0 requ) BAYES_00=-1.9,
 FREEMAIL_FORGED_FROMDOMAIN=0.249, FREEMAIL_FROM=0.001,
 HEADER_FROM_DIFFERENT_DOMAINS=0.25, RCVD_IN_DNSWL_NONE=-0.0001,
 RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.8 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.8 (-)

Severity: wishlist

The hydra package on GNU ELPA is version 0.14, but the latest released
version was 0.15 in 2019.

How about changing the package specification in elpa.git to the
following, so that it is automatically updated in the future?  Oleh,
would that be okay with you?

Thanks in advance.


diff --git a/elpa-packages b/elpa-packages
index afa3ca8db8..5a46746136 100644
--- a/elpa-packages
+++ b/elpa-packages
@@ -264,7 +264,8 @@
   :auto-sync t)
  ("hook-helpers"	:url
"https://git.savannah.nongnu.org/git/hook-helpers-el.git")
  ("html5-schema"	:url nil)
- ("hydra"		:url "https://github.com/abo-abo/hydra")
+ ("hydra"		:url "https://github.com/abo-abo/hydra"
+  :auto-sync t)
  ("hyperbole"           :url "https://git.savannah.gnu.org/r/hyperbole.git"
   :make ("kotl/kotl-autoloads.el")
   :auto-sync t)




Acknowledgement sent to Stefan Kangas <stefan@HIDDEN>:
New bug report received and forwarded. Copy sent to ohwoeowho@HIDDEN, monnier@HIDDEN, bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to ohwoeowho@HIDDEN, monnier@HIDDEN, bug-gnu-emacs@HIDDEN:
bug#52902; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 15 Jan 2022 10:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.